Author Topic: WinPorts - MinGW compatible builds  (Read 6056 times)

Offline tretton

  • Multiple posting newcomer
  • *
  • Posts: 26
WinPorts - MinGW compatible builds
« on: April 16, 2007, 10:06:07 pm »
I searched the forums and found no entries regarding winports, so I thought I'd mention this:

http://winports.sourceforge.net/

Well, the page is pretty slim so there isn't that much to say. But I do have GCC 4.1.2 running wonderfully on my WinXP machine now, without a hitch.  :D I just unzipped it right into MinGW. Beautiful.

Offline dje

  • Lives here!
  • ****
  • Posts: 683
Re: WinPorts - MinGW compatible builds
« Reply #1 on: April 16, 2007, 11:04:19 pm »
Hi !

I know this excellent one

Extract from GnuWin32 web site :
Quote
GnuWin32 provides Win32 (MS Windows 95 / 98 / ME / NT / 2000 / XP / 2003 / Vista) ports of tools with a GNU or similar open source license.

Dje

Offline TDragon

  • Lives here!
  • ****
  • Posts: 943
    • TDM-GCC
Re: WinPorts - MinGW compatible builds
« Reply #2 on: April 16, 2007, 11:25:14 pm »
But I do have GCC 4.1.2 running wonderfully on my WinXP machine now, without a hitch.
I thought I'd mention that you'll find a build of GCC 4.1.2 linked in my signature that does include a couple of patches and modifications (unlike WinPorts), which fix certain issues with the vanilla sources. For instance, if you ever want to build wxWidgets with GCC 4.1.2, you'll need a patched version.

Cheers,
JohnE / TDM
https://jmeubank.github.io/tdm-gcc/ - TDM-GCC compiler suite for Windows (GCC 9.2.0 2020-03-08, 32/64-bit, no extra DLLs)

islet8

  • Guest
Re: WinPorts - MinGW compatible builds
« Reply #3 on: April 22, 2007, 03:07:00 pm »
I thought I'd mention that you'll find a build of GCC 4.1.2 linked in my signature that does include a couple of patches and modifications (unlike WinPorts), which fix certain issues with the vanilla sources. For instance, if you ever want to build wxWidgets with GCC 4.1.2, you'll need a patched version.

Cheers,
JohnE / TDM

Hi JohnE,
your gcc 4.1.2 for mingw32 cannot be download today, i don't know what's the matter, can you check it out? and i wanna know how to build gcc 4.1.2 from source by myself, i've tried a lot but some error like below still occured...
++++++++++++++
make[1]: Entering directory `/e/app/gccbuild/gcc'
Makefile:1280: *** target pattern contains no `%'.  Stop.
make[1]: Leaving directory `/e/app/gccbuild/gcc'
make: *** [bootstrap] Error 2
------------------

my commands are like this:
++++++++++++++
../gcc/configure --enable-languages=c,c++ --enable-optimize --prefix=/mingw --oldincludedir=/mingw/include --enable-threads --disable-nls --disable-win32-registry --disable-shared --without-x

make bootstrap "CFLAGS=-O2" "LDFLAGS=-s"
------------------

could you do me a favor?
« Last Edit: April 22, 2007, 03:12:31 pm by islet8 »

Offline TDragon

  • Lives here!
  • ****
  • Posts: 943
    • TDM-GCC
Re: WinPorts - MinGW compatible builds
« Reply #4 on: April 22, 2007, 03:38:25 pm »
I was able to download both the binary and source packages from filefront just now, so I'm not sure where the problem is. However, I believe you can also download the binary package at http://farfetch.intrepid.cx/gcc-4.1.2-i386-pc-mingw32.7z, and the source package at http://farfetch.intrepid.cx/gcc-4.1.2-i386-pc-mingw-src.7z. (Warning: That server may not return the proper mime headers; if you get a page of gibberish, try right-clicking the link and selecting Save As.)

As far as your error goes, it's addressed in the readme file in my source package, but I'll give a quick synopsis: open gcc/gcc/Makefile, find the definition of ORIGINAL_LD_FOR_TARGET, and change it to match ORIGINAL_NM_FOR_TARGET which is near it (except use "ld" instead of "nm").
https://jmeubank.github.io/tdm-gcc/ - TDM-GCC compiler suite for Windows (GCC 9.2.0 2020-03-08, 32/64-bit, no extra DLLs)

Offline alifehpp

  • Single posting newcomer
  • *
  • Posts: 5
Re: WinPorts - MinGW compatible builds
« Reply #5 on: April 23, 2007, 09:35:32 am »
I decided try gcc 4.1.2 under Windows. I downloaded install package from http://www.develer.com/oss/GccWinBinaries. I compiled
wxWidgets 2.8.3 and hadn't got any problems. But when i try to compile test wxWidgets application, i get a few errors in wxWidgets header files, not in my sources. There is test application, which created by wxWidgets wizard:
Code: [Select]
#ifdef WX_PRECOMP //
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "testWXApp.h"

//(*AppHeaders
#include "testWXMain.h"
#include <wx/image.h>
//*)

IMPLEMENT_APP(testWXApp);

bool testWXApp::OnInit()
{
//(*AppInitialize
bool wxsOK = true;
wxInitAllImageHandlers();
if ( wxsOK )
{
testWXFrame* Frame = new testWXFrame(NULL);
Frame->Show();
SetTopWindow(Frame);
}
//*)
return wxsOK;

}

There are an errors:
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:114: error: 'strdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:114: error: 'strdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:118: error: '_wcsdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:118: error: '_wcsdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\string.h:58: warning: type attributes are honored only at type definition
E:\libs\wxWidgets-2.8.3\include\wx\string.h:141: error: 'strcasecmp' was not declared in this scope
:: === Build finished: 7 errors, 203 warnings ===

My system is MS Windows SP2, CodeBlocks SVN revision 3879.

P.S. CodeBlocks with wxWidgets 2.6.3 compiled without any problems.
P.P.S. Sorry for my English))

islet8

  • Guest
Re: WinPorts - MinGW compatible builds
« Reply #6 on: April 23, 2007, 02:32:17 pm »
thanks very much for your help :) but there still be some unknow error while making install, and i have to solve it as soon as possible because of my work tasks, so i downloaded your distribution. thank you again for your help and your files, i'll compile the gcc 4.1.2 again later

I was able to download both the binary and source packages from filefront just now, so I'm not sure where the problem is. However, I believe you can also download the binary package at http://farfetch.intrepid.cx/gcc-4.1.2-i386-pc-mingw32.7z, and the source package at http://farfetch.intrepid.cx/gcc-4.1.2-i386-pc-mingw-src.7z. (Warning: That server may not return the proper mime headers; if you get a page of gibberish, try right-clicking the link and selecting Save As.)

As far as your error goes, it's addressed in the readme file in my source package, but I'll give a quick synopsis: open gcc/gcc/Makefile, find the definition of ORIGINAL_LD_FOR_TARGET, and change it to match ORIGINAL_NM_FOR_TARGET which is near it (except use "ld" instead of "nm").

MaxHeadroom

  • Guest
Re: WinPorts - MinGW compatible builds
« Reply #7 on: May 28, 2007, 04:27:55 pm »
To anyone who runs into this problem, you have to turn off the gcc -ansi flag.

Cheers,
Max

I decided try gcc 4.1.2 under Windows. I downloaded install package from http://www.develer.com/oss/GccWinBinaries. I compiled
wxWidgets 2.8.3 and hadn't got any problems. But when i try to compile test wxWidgets application, i get a few errors in wxWidgets header files, not in my sources. There is test application, which created by wxWidgets wizard:
Code: [Select]
#ifdef WX_PRECOMP //
#include "wx_pch.h"
#endif

#ifdef __BORLANDC__
#pragma hdrstop
#endif //__BORLANDC__

#include "testWXApp.h"

//(*AppHeaders
#include "testWXMain.h"
#include <wx/image.h>
//*)

IMPLEMENT_APP(testWXApp);

bool testWXApp::OnInit()
{
//(*AppInitialize
bool wxsOK = true;
wxInitAllImageHandlers();
if ( wxsOK )
{
testWXFrame* Frame = new testWXFrame(NULL);
Frame->Show();
SetTopWindow(Frame);
}
//*)
return wxsOK;

}

There are an errors:
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:114: error: 'strdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:114: error: 'strdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:118: error: '_wcsdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\buffer.h:118: error: '_wcsdup' was not declared in this scope
E:\libs\wxWidgets-2.8.3\include\wx\string.h:58: warning: type attributes are honored only at type definition
E:\libs\wxWidgets-2.8.3\include\wx\string.h:141: error: 'strcasecmp' was not declared in this scope
:: === Build finished: 7 errors, 203 warnings ===

My system is MS Windows SP2, CodeBlocks SVN revision 3879.

P.S. CodeBlocks with wxWidgets 2.6.3 compiled without any problems.
P.P.S. Sorry for my English))